using System;
using System.Xml;

namespace scratch
{
	class test
	{
		[STAThread]
		static void Main (string[] a)
		{
			string s;
			XmlDocument d = new XmlDocument();

			d.AppendChild(d.CreateElement("root"));

			while ((s = Console.In.ReadLine()) != null)
			{
				int p = s.IndexOf("=");

				XmlElement e = d.CreateElement("data");
				e.Attributes.Append(d.CreateAttribute("name"));
				e.Attributes["name"].Value = s.Substring(0, p);

				XmlElement v = d.CreateElement("value");
				e.AppendChild(v);

				v.AppendChild(d.CreateTextNode(s.Substring(p + 1)));

				d.DocumentElement.AppendChild(e);
			}

			d.Save(Console.Out);
		}
	}
}
